package Gimp::Config;

sub TIEHASH {
   my $pkg = shift;
   my $self;

   bless \$self, $pkg;
}

sub FETCH {
   $cfg{$_[1]};
}

tie %Gimp::Config, 'Gimp::Config';

%cfg = (
   _DEFS	=> "\ \-DGIMP_PREFIX\=\\\"\/usr\\\"\ \-DGIMP_PATH\=\\\"\/usr\/bin\/gimp\\\"",
   IN_GIMP	=> "0",
   _GIMP_INC	=> "\-I\/usr\/X11R6\/include\ \-I\/usr\/lib\/glib\/include",
   GIMPTOOL	=> "\/usr\/bin\/gimptool",
   _EXTENSIVE_TESTS	=> "1",
   GIMP	=> "\/usr\/bin\/gimp",
   INSTALL_PROGRAM	=> "\@INSTALL_PROGRAM\@",
   prefix	=> "\/usr",
   _GIMP_LIBS_NOUI	=> "\-L\/usr\/lib\ \-lgimp\ \-lglib",
   _CPPFLAGS	=> "",
   _CFLAGS	=> "\-O2\ \-m486\ \-fno\-strength\-reduce",
   exec_prefix	=> "\/usr",
   _PERL	=> "\/usr\/bin\/perl",
   _GIMP_LIBS	=> "\-L\/usr\/lib\ \-lgimpui\ \-lgimp\ \-L\/usr\/X11R6\/lib\ \-lgtk\ \-lgdk\ \-rdynamic\ \-lgmodule\ \-lglib\ \-ldl\ \-lXext\ \-lX11\ \-lm",
   libdir	=> "\/usr\/lib",
   INSTALL	=> "\@INSTALL\@",
   bindir	=> "\/usr\/bin",
   GIMP_PREFIX	=> "\/usr",
   gimpplugindir	=> "\/usr\/lib\/gimp\/1\.0",
   _LDFLAGS	=> "",
   _GIMP_INC_NOUI	=> "\-I\/usr\/X11R6\/include\ \-I\/usr\/lib\/glib\/include",
);

1;
